E-File Magic

Dashboard

Read dashboard totals

Read the saved account dashboard for a selected tax year.

POST
/api/v1/dashboard/summary
Authentication
OAuth 2.0 access token
Required scopes
filers.readrecipients.readorders.read
Idempotency key
Not required
Rate-limit cost
2 units

Request fields

1 fields
tax_yearRequiredinteger

Tax year of the filer and forms being processed. Allowed values: 2022, 2023, 2024, 2025, 2026.

Headers (1)
AuthorizationRequired
OAuth Bearer token with current resource authorization and the required scopes.

Complete request schema: ApiDashboardRequest

cURL request
curl --request POST 'https://api.efilemagic.com/api/v1/dashboard/summary' \
  --header 'Authorization: Bearer <access-token>' \
  --header 'Content-Type: application/json' \
  --data-binary @request.json

Replace placeholders with your own values. Use the API resource origin provided for your environment.

Create request.json using the documented fields. Field descriptions are not sample values.